### 5.1.57 homog

`Syntax:`
  `homog (` ideal_expression `)`
  `homog (` module_expression `)`
`Type:`
  int
`Purpose:`
  tests for homogeneity: returns 1 for homogeneous input, 0 otherwise.
`Note:`
  If the current ring has a weighted monomial ordering, `homog` tests for weighted homogeneity w.r.t. the given weights.
`Syntax:`
  `homog (` ideal_expression`,` intvec_expression `)`
`Type:`
  int
`Purpose:`
  tests for homogeneity wrt. the given weight vector: returns 1 for homogeneous input, 0 otherwise.
`Syntax:`
  `homog (` polynomial_expression`,` ring_variable `)`
  `homog (` vector_expression`,` ring_variable `)`
  `homog (` ideal_expression`,` ring_variable `)`
  `homog (` module_expression`,` ring_variable `)`
`Type:`
  same as first argument
`Purpose:`
  homogenizes polynomials, vectors, ideals, or modules by multiplying each monomial with a suitable power of the given ring variable.
`Note:`
  If the current ring has a weighted monomial ordering, `homog` computes the weighted homogenization w.r.t. the given weights.
  The homogenizing variable must have weight 1.
`Example:`

        ring r=32003,(x,y,z),ds;
        poly s1=x3y2+x5y+3y9;
        poly s2=x2y2z2+3z8;
        poly s3=5x4y2+4xy5+2x2y2z3+y7+11x10;
        ideal i=s1,s2,s3;
        homog(s2,z);
      ==> x2y2z4+3z8
        homog(i,z);
      ==> _[1]=3y9+x5yz3+x3y2z4
      ==> _[2]=x2y2z4+3z8
      ==> _[3]=11x10+y7z3+5x4y2z4+4xy5z4+2x2y2z6
        homog(i);
      ==> 0
        homog(homog(i,z));
      ==> 1

See ideal; module; poly; vector.

User manual for Singular version 4.4.1, 2025, generated by texi2html.